跳转到主要内容
POST
/
crawl
/
params-preview
预览由自然语言提示词生成的爬取参数
curl --request POST \
  --url https://api.firecrawl.dev/v2/crawl/params-preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "url": "<string>"
}
'
{
  "data": {
    "allowExternalLinks": true,
    "allowSubdomains": true,
    "crawlEntireDomain": true,
    "deduplicateSimilarURLs": true,
    "delay": 123,
    "excludePaths": [
      "<string>"
    ],
    "ignoreQueryParameters": true,
    "ignoreRobotsTxt": true,
    "includePaths": [
      "<string>"
    ],
    "limit": 123,
    "maxDepth": 123,
    "maxDiscoveryDepth": 123,
    "robotsUserAgent": "<string>",
    "url": "<string>"
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
prompt
string
必填

用自然语言编写的、描述你想爬取内容的提示词

Maximum string length: 10000
url
string<uri>
必填

要抓取的 URL

响应

成功响应(包含生成的爬取参数)

data
object
success
boolean
示例:

true